# Detect Item Type
$execute store result score @s lvlmc.temp2 run function lvlmc:assets/sacrifice/get_item_value with entity @s Inventory[-1].tag.Items[$(sacslot)]
$execute store result score @s lvlmc.temp2 if data entity @s Inventory[-1].tag.Items[$(sacslot)].tag.item_id run function lvlmc:assets/sacrifice/get_custom_item_value with entity @s Inventory[-1].tag.Items[$(sacslot)].tag
$function lvlmc:assets/sacrifice/get_bundle_value with entity @s Inventory[-1].tag.Items[$(sacslot)]

# Check item type
summon item ~ ~ ~ {Item:{id:"minecraft:torch", Count:1b}, Tags:["saci"], PickupDelay:1}
data modify entity @e[type=item, sort=nearest, limit=1, nbt={Tags:["saci"]}] Item set from entity @s Inventory[-1]
$execute summon skeleton run data modify entity @s HandItems[0] set from entity @e[type=item, sort=nearest, limit=1, nbt={Tags:["saci"]}] Item.tag.Items[$(sacslot)]
item replace entity @s weapon.offhand from entity @e[type=skeleton, sort=nearest, limit=1] weapon
scoreboard players set @s lvlmc.temp3 0
execute as @s[predicate=lvlmc:sacrifice/combat] run scoreboard players set @s lvlmc.temp3 1
execute as @s[predicate=lvlmc:sacrifice/foraging] run scoreboard players set @s lvlmc.temp3 2
execute as @s[predicate=lvlmc:sacrifice/mining] run scoreboard players set @s lvlmc.temp3 3
execute as @s[predicate=lvlmc:sacrifice/farming] run scoreboard players set @s lvlmc.temp3 4
execute as @s[predicate=lvlmc:sacrifice/fishing] run scoreboard players set @s lvlmc.temp3 5
scoreboard players set @s[advancements={lvlmc:milestones/farming/root=false}, scores={lvlmc.temp3=4}] lvlmc.temp 0
scoreboard players set @s[advancements={lvlmc:milestones/fishing/root=false}, scores={lvlmc.temp3=5}] lvlmc.temp 0

data modify entity @e[type=skeleton, sort=nearest, limit=1] HandItems[0] set from entity @e[type=item, sort=nearest, limit=1, nbt={Tags:["saci"]}] Item
item replace entity @s weapon.offhand from entity @e[type=skeleton, sort=nearest, limit=1] weapon
tp @e[type=skeleton, sort=nearest, limit=1] ~ ~-300 ~
kill @e[type=item, sort=nearest, limit=1, nbt={Tags:["saci"]}, distance=..1]


execute as @s[scores={lvlmc.temp=0}] run scoreboard players set @s lvlmc.temp2 0

# Keep Counting
execute as @s[scores={lvlmc.temp2=1..}] unless score @s lvlmc.lastbundledtype = @s lvlmc.temp3 run scoreboard players set @s lvlmc.currentbundledxp 0
execute if score @s lvlmc.bundleresetdelay matches 60.. run scoreboard players set @s lvlmc.currentbundledxp 0
scoreboard players operation @s lvlmc.currentbundledxp += @s lvlmc.temp
scoreboard players operation @s[scores={lvlmc.temp2=1..}] lvlmc.lastbundledtype = @s lvlmc.temp3
scoreboard players set @s[scores={lvlmc.temp2=1..}] lvlmc.bundleresetdelay 0


# Messages
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=1}] run scoreboard players operation @s lvlmc.combatxp += @s lvlmc.temp
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=1}] run title @s actionbar [{"translate":"lvlmc.sacrifice.recieved","color":"red"},{"score":{"name":"@s","objective":"lvlmc.currentbundledxp"}},{"translate":"lvlmc.sacrifice.recieved_combatxp"}]
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=2}] run scoreboard players operation @s lvlmc.foragingxp += @s lvlmc.temp
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=2}] run title @s actionbar [{"translate":"lvlmc.sacrifice.recieved","color":"green"},{"score":{"name":"@s","objective":"lvlmc.currentbundledxp"}},{"translate":"lvlmc.sacrifice.recieved_foragingxp"}]
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=3}] run scoreboard players operation @s lvlmc.miningxp += @s lvlmc.temp
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=3}] run title @s actionbar [{"translate":"lvlmc.sacrifice.recieved","color":"dark_gray"},{"score":{"name":"@s","objective":"lvlmc.currentbundledxp"}},{"translate":"lvlmc.sacrifice.recieved_miningxp"}]
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=4}, advancements={lvlmc:milestones/farming/root=false}] run title @s actionbar {"translate":"lvlmc.generic.not_unlocked","color":"red"}
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=4}, advancements={lvlmc:milestones/farming/root=false}] run scoreboard players set @s lvlmc.temp2 0
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=4}] run scoreboard players operation @s lvlmc.farmingxp += @s lvlmc.temp
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=4}] run title @s actionbar [{"translate":"lvlmc.sacrifice.recieved","color":"light_purple"},{"score":{"name":"@s","objective":"lvlmc.currentbundledxp"}},{"translate":"lvlmc.sacrifice.recieved_farmingxp"}]
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=5}, advancements={lvlmc:milestones/fishing/root=false}] run title @s actionbar {"translate":"lvlmc.generic.not_unlocked","color":"red"}
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=5}, advancements={lvlmc:milestones/fishing/root=false}] run scoreboard players set @s lvlmc.temp2 0
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=5}] run scoreboard players operation @s lvlmc.fishingxp += @s lvlmc.temp
execute as @s[scores={lvlmc.temp2=1.., lvlmc.temp3=5}] run title @s actionbar [{"translate":"lvlmc.sacrifice.recieved","color":"blue"},{"score":{"name":"@s","objective":"lvlmc.currentbundledxp"}},{"translate":"lvlmc.sacrifice.recieved_fishingxp"}]


# Tell Level Count Script to Recount
execute as @s[scores={lvlmc.temp2=1..}] run scoreboard players set @s lvlmc.lastmainhandcount -1