scoreboard players set @s lvlmc.temp 0
execute as @s[predicate=lvlmc:typeheld/mainhand/foraging] run scoreboard players operation @s lvlmc.temp = @s lvlmc.foragingxp
execute as @s[predicate=lvlmc:typeheld/mainhand/combat] run scoreboard players operation @s lvlmc.temp = @s lvlmc.combatxp
execute as @s[predicate=lvlmc:typeheld/mainhand/mining] run scoreboard players operation @s lvlmc.temp = @s lvlmc.miningxp
execute as @s[predicate=lvlmc:typeheld/mainhand/farming] run scoreboard players operation @s lvlmc.temp = @s lvlmc.farmingxp
execute as @s[predicate=lvlmc:typeheld/mainhand/fishing] run scoreboard players operation @s lvlmc.temp = @s lvlmc.fishingxp

xp set @s 0 levels
xp set @s 0 points

execute store result storage minecraft:macro input.xpammount int 1 run scoreboard players get @s lvlmc.temp
function lvlmc:assets/level/give_xp with storage minecraft:macro input

execute as @s[scores={lvlmc.lastmainhandcount=-1}] run return fail


# Show Item Values
execute store result score @s lvlmc.temp2 run function lvlmc:assets/sacrifice/get_item_value with entity @s SelectedItem
execute store result score @s lvlmc.temp2 if data entity @s SelectedItem.tag.item_id run function lvlmc:assets/sacrifice/get_custom_item_value with entity @s SelectedItem.tag

execute store result score @s[predicate=lvlmc:sacrifice/mainhand/any] lvlmc.temp run data get entity @s SelectedItem.Count
scoreboard players operation @s[predicate=lvlmc:sacrifice/mainhand/any] lvlmc.temp *= @s lvlmc.temp2
title @s[predicate=lvlmc:sacrifice/mainhand/combat] actionbar [{"translate":"lvlmc.actionbar.itemworth", "color": "yellow"}, {"score":{"name": "@s", "objective": "lvlmc.temp"}}, {"translate": "lvlmc.sacrifice.recieved_combatxp"}]
title @s[predicate=lvlmc:sacrifice/mainhand/farming] actionbar [{"translate":"lvlmc.actionbar.itemworth", "color": "yellow"}, {"score":{"name": "@s", "objective": "lvlmc.temp"}}, {"translate": "lvlmc.sacrifice.recieved_farmingxp"}]
title @s[predicate=lvlmc:sacrifice/mainhand/fishing] actionbar [{"translate":"lvlmc.actionbar.itemworth", "color": "yellow"}, {"score":{"name": "@s", "objective": "lvlmc.temp"}}, {"translate": "lvlmc.sacrifice.recieved_fishingxp"}]
title @s[predicate=lvlmc:sacrifice/mainhand/foraging] actionbar [{"translate":"lvlmc.actionbar.itemworth", "color": "yellow"}, {"score":{"name": "@s", "objective": "lvlmc.temp"}}, {"translate": "lvlmc.sacrifice.recieved_foragingxp"}]
title @s[predicate=lvlmc:sacrifice/mainhand/mining] actionbar [{"translate":"lvlmc.actionbar.itemworth", "color": "yellow"}, {"score":{"name": "@s", "objective": "lvlmc.temp"}}, {"translate": "lvlmc.sacrifice.recieved_miningxp"}]

title @s[scores={lvlmc.temp2=-1}] actionbar {"translate":"lvlmc.sacrifice.traded", "color": "red"}
scoreboard players set @s[scores={lvlmc.temp2=-1}] lvlmc.temp 0

execute as @s[predicate=lvlmc:sacrifice/mainhand/foraging] run scoreboard players operation @s lvlmc.temp2 = @s lvlmc.foragingxp
execute as @s[predicate=lvlmc:sacrifice/mainhand/combat] run scoreboard players operation @s lvlmc.temp2 = @s lvlmc.combatxp
execute as @s[predicate=lvlmc:sacrifice/mainhand/mining] run scoreboard players operation @s lvlmc.temp2 = @s lvlmc.miningxp
execute as @s[predicate=lvlmc:sacrifice/mainhand/farming] run scoreboard players operation @s lvlmc.temp2 = @s lvlmc.farmingxp
execute as @s[predicate=lvlmc:sacrifice/mainhand/fishing] run scoreboard players operation @s lvlmc.temp2 = @s lvlmc.fishingxp

execute as @s[predicate=lvlmc:sacrifice/mainhand/any] run scoreboard players operation @s lvlmc.temp2 += @s lvlmc.temp
execute as @s[predicate=lvlmc:sacrifice/mainhand/any] store result storage minecraft:macro input.xpammount int 1 run scoreboard players get @s lvlmc.temp2
execute as @s[predicate=lvlmc:sacrifice/mainhand/any] run function lvlmc:assets/level/give_xp with storage minecraft:macro input


# Show experience to next level
execute as @s[predicate=lvlmc:typeheld/mainhand/any] run function lvlmc:assets/level/check_level

execute as @s[predicate=lvlmc:typeheld/mainhand/any] run scoreboard players operation @s lvlmc.temp2 -= @s lvlmc.temp
execute as @s[predicate=lvlmc:typeheld/mainhand/any, scores={lvlmc.temp2=1..}, predicate=!lvlmc:sacrifice/mainhand/any] run title @s actionbar [{"score":{"name":"@s","objective":"lvlmc.temp2"}, "color": "green"},{"translate":"lvlmc.actionbar.lvlprogress"}]
execute as @s[predicate=lvlmc:typeheld/mainhand/any, scores={lvlmc.temp2=..0}, predicate=!lvlmc:sacrifice/mainhand/any] run title @s actionbar {"translate":"lvlmc.generic.limit_reached", "color": "green"}

scoreboard players operation @s lvlmc.lastheldtype = @s lvlmc.currentheldtype