# Anvil Disabling
scoreboard players set @s lvlmc.interactedanvil 0

## Summon
execute anchored eyes run function lvlmc:assets/toolpower/raycast
execute at @e[tag=selected_block, limit=1, sort=nearest] run summon marker ~ ~ ~ {Tags:["replace_anvil"]}

## Store Anvil
execute as @e[tag=replace_anvil] at @s if block ~ ~ ~ anvil run scoreboard players set @s lvlmc.temp 0
execute as @e[tag=replace_anvil] at @s if block ~ ~ ~ chipped_anvil run scoreboard players set @s lvlmc.temp 1
execute as @e[tag=replace_anvil] at @s if block ~ ~ ~ damaged_anvil run scoreboard players set @s lvlmc.temp 2
execute as @e[tag=replace_anvil] at @s if block ~ ~ ~ #anvil[facing=east] run data modify entity @s data.facing set value east
execute as @e[tag=replace_anvil] at @s if block ~ ~ ~ #anvil[facing=north] run data modify entity @s data.facing set value north
execute as @e[tag=replace_anvil] at @s if block ~ ~ ~ #anvil[facing=south] run data modify entity @s data.facing set value south
execute as @e[tag=replace_anvil] at @s if block ~ ~ ~ #anvil[facing=west] run data modify entity @s data.facing set value west
execute store success score @s lvlmc.temp at @e[tag=selected_block, limit=1, sort=nearest] if block ~ ~ ~ #anvil run setblock ~ ~ ~ air

## Repair
execute if entity @s[nbt={SelectedItem:{id:"minecraft:iron_block"}}] unless entity @e[tag=replace_anvil, scores={lvlmc.temp=0}] run function lvlmc:assets/disable/anvil/repair_anvil

execute as @s[predicate=lvlmc:holding_repair, scores={lvlmc.temp=1}] run function lvlmc:assets/disable/anvil/repair_item with entity @s SelectedItem


## Replace Anvil
execute as @s[scores={lvlmc.temp=1}] run schedule function lvlmc:assets/disable/anvil/replace_init 2t

## If Raycast fails reset players experience
execute as @s[scores={lvlmc.temp=0}] run xp set @s 0 points
execute as @s[scores={lvlmc.temp=0}] run xp set @s 0 levels