# Store Data
$execute unless entity @e[type=item_display, distance=..0.1, tag=campfire_item, nbt={item:{id:"$(id)"}}] run kill @e[type=item_display, distance=..0.1, limit=1, sort=nearest, tag=campfire_item]
$execute unless entity @e[type=item_display, distance=..0.1, tag=campfire_item] run summon item_display ~ ~ ~ {Tags:["campfire_item"], item:{id:"$(id)", Count:1b}, view_range:0}
$execute as @e[type=item_display, distance=..0.1, tag=campfire_item, nbt={item:{id:"$(id)"}}] run scoreboard players add @s lvlmc.temp3 $(Count)

# Register Items
## Weather
execute if entity @e[type=item_display, distance=..0.1, tag=campfire_item, nbt={item:{id:"minecraft:water_bucket"}}] store success score @s lvlmc.temp2 run weather rain
execute if entity @e[type=item_display, distance=..0.1, tag=campfire_item, nbt={item:{id:"minecraft:copper_ingot"}}, scores={lvlmc.temp3=10..}] store success score @s lvlmc.temp2 run weather thunder
execute if entity @e[type=item_display, distance=..0.1, tag=campfire_item, nbt={item:{id:"minecraft:amethyst_shard"}}, scores={lvlmc.temp3=7..}] store success score @s lvlmc.temp2 run weather clear

## Bosses
execute if entity @e[type=item_display, distance=..0.1, tag=campfire_item, nbt={item:{id:"minecraft:nether_star"}}] run scoreboard players set @s lvlmc.temp2 2


# Run Events
## Generic
execute as @s[scores={lvlmc.temp2=1..}] run summon lightning_bolt ~ ~-2 ~
execute as @s[scores={lvlmc.temp2=1..}] run kill @e[type=item_display, distance=..0.1, tag=campfire_item]

## Blessings
execute as @s[scores={lvlmc.temp2=1}] run advancement grant @p only lvlmc:main/any_campfire_ritual
execute as @s[scores={lvlmc.temp2=1}] run playsound item.trident.thunder master @a

## Bosses
execute as @s[scores={lvlmc.temp2=2}] run advancement grant @p only lvlmc:main/campfire_boss
execute as @s[scores={lvlmc.temp2=2}] run tellraw @p [{"translate": "lvlmc.boss.generic.warning", "color": "red"}, {"translate": "lvlmc.entity.giant"}]
execute as @s[scores={lvlmc.temp2=2}] run schedule function lvlmc:assets/boss/giant/summon 5s
execute as @s[scores={lvlmc.temp2=2}] run summon marker ~ ~ ~ {Tags:["campfire_mark"]}
execute as @s[scores={lvlmc.temp2=2}] run setblock ~ ~ ~ air


# Debug
execute as @s[nbt={Item:{id:"minecraft:command_block"}}] run function lvlmc:assets/boss/giant/summon
execute as @s[nbt={Item:{id:"minecraft:command_block"}}] run summon marker ~ ~ ~ {Tags:["campfire_mark"]}
execute as @s[nbt={Item:{id:"minecraft:command_block"}}] run setblock ~ ~ ~ air


# Final
playsound item.firecharge.use master @a
kill