execute store result score @s lvlmc.temp run time query day
execute as @s[tag=enchanter] if score @s lvlmc.dialoguedelay = @s lvlmc.temp run return fail

# Give trades based on Player Item
data modify entity @s Offers.Recipes set value []
data modify entity @s RestocksToday set value 10000
say "Changed Enchanter"

# Add Trades
execute store result score @s lvlmc.temp run random value 1..2
execute as @s[scores={lvlmc.temp=1}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:fire_aspect", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:fire_charge", Count:20}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:fire_aspect", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
execute as @s[scores={lvlmc.temp=2}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:sharpness", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:iron_ingot", Count:12}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:sharpness", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=1}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:aqua_affinity", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:aqua_affinity", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=2}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:bane_of_arthropods", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:bane_of_arthropods", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=3}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:binding_curse", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:binding_curse", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=4}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:blast_protection", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:blast_protection", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=5}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:channeling", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:channeling", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=6}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:depth_strider", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:depth_strider", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=7}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:efficiency", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:efficiency", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=8}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:feather_falling", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:feather_falling", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}

execute store result score @s lvlmc.temp run random value 1..2
execute as @s[scores={lvlmc.temp=1}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:luck_of_the_sea", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:rabbit_foot", Count:5}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:luck_of_the_sea", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
execute as @s[scores={lvlmc.temp=2}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:looting", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:rotten_flesh", Count:64}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:looting", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=1}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:fire_protection", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:fire_protection", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=3}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:fortune", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:fortune", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=4}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:frost_walker", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:frost_walker", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=5}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:impaling", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:impaling", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=6}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:infinity", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:infinity", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=7}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:knockback", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:knockback", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=9}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:loyalty", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:loyalty", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}

execute store result score @s lvlmc.temp run random value 1..2
execute as @s[scores={lvlmc.temp=1}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:power", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:arrow", Count:16}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:power", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
execute as @s[scores={lvlmc.temp=2}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:punch", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:arrow", Count:16}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:punch", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=1}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:lure", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:lure", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=2}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:mending", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:mending", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=3}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:multishot", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:multishot", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=4}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:piercing", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:piercing", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=6}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:projectile_protection", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:projectile_protection", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=7}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:protection", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:protection", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=9}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:quick_charge", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:quick_charge", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=10}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:respiration", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:respiration", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}

execute store result score @s lvlmc.temp run random value 1..3
execute as @s[scores={lvlmc.temp=1}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:swift_sneak", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:echo_shard", Count:3}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:swift_sneak", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
execute as @s[scores={lvlmc.temp=2}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:unbreaking", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:experience_bottle", Count:3}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:unbreaking", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
execute as @s[scores={lvlmc.temp=3}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:silk_touch", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:string", Count:50}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:silk_touch", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=1}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:riptide", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:riptide", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=4}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:smite", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:smite", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=5}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:soul_speed", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:soul_speed", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=6}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:sweeping", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:sweeping", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=8}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:thorns", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:thorns", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}
#execute as @s[scores={lvlmc.temp=10}] run data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:paper", Count:3, tag:{Enchantments:[{id:"minecraft:vanishing_curse", lvl:1s}], item_id:"lvlmc:enchscroll", CustomModelData:854002, display:{Name:'{"translate":"lvlmc.item.enchscroll", "italic":false}'}}}, buyB:{id:"minecraft:structure_void", Count:1}, sell:{id:"minecraft:enchanted_book", Count:1, tag:{Enchantments:[{id:"minecraft:vanishing_curse", lvl:2s}]}},rewardExp:0,maxUses:5,xp:0}


# Finish
execute store result score @s lvlmc.dialoguedelay run time query day
execute if entity @s[tag=enchanter] run return fail



# Convert from ready
execute as @e[tag=converttoenchanter, limit=1, sort=nearest] run data merge entity @s {Tags:["modify"]}

# Visual
data modify entity @e[nbt={Tags:["modify"]}, sort=nearest, limit=1] CustomName set value '"§9Enchanter"'
data merge entity @e[nbt={Tags:["modify"]}, sort=nearest, limit=1] {VillagerData:{level:5}}


# Finish converting
data modify entity @e[nbt={Tags:["modify"]}, sort=nearest, limit=1] Tags set value ["enchanter"]
execute as @e[nbt={Tags:["enchanter"]}, sort=nearest, limit=1] run scoreboard players set @s lvlmc.dialoguedelay -1