execute as @a store result score @s lvlmc.offhanditem run data get entity @s Inventory[{Slot:-106b}].id
execute as @a store result score @s lvlmc.mainhanditem run data get entity @s SelectedItemSlot
execute as @a store result score @s lvlmc.mainhandcount run data get entity @s SelectedItem.Count

# Sacrificing
## Offhand
execute as @a[predicate=lvlmc:sacrifice/any] at @s run function lvlmc:assets/level/sacrifice_items

## Bundle
scoreboard players add @a lvlmc.bundleresetdelay 1
execute as @a[nbt={Inventory:[{Slot:-106b, id:"minecraft:bundle", tag:{item_id:"lvlmc:autosacrificer"}}]}] at @s if data entity @s Inventory[-1].tag.Items[0] run function lvlmc:assets/level/sacrifice_bundle {"sacslot":"0"}
execute as @a[nbt={Inventory:[{Slot:-106b, id:"minecraft:bundle", tag:{item_id:"lvlmc:autosacrificer"}}]}] at @s if data entity @s Inventory[-1].tag.Items[1] run function lvlmc:assets/level/sacrifice_bundle {"sacslot":"1"}
execute as @a[nbt={Inventory:[{Slot:-106b, id:"minecraft:bundle", tag:{item_id:"lvlmc:autosacrificer"}}]}] at @s if data entity @s Inventory[-1].tag.Items[2] run function lvlmc:assets/level/sacrifice_bundle {"sacslot":"2"}
execute as @a[nbt={Inventory:[{Slot:-106b, id:"minecraft:bundle", tag:{item_id:"lvlmc:autosacrificer"}}]}] at @s if data entity @s Inventory[-1].tag.Items[3] run function lvlmc:assets/level/sacrifice_bundle {"sacslot":"3"}


# Disable
## Level Related
execute as @a at @s run function lvlmc:assets/disable/items with entity @s
execute as @a at @s unless score @s lvlmc.lastmainhanditem = @s lvlmc.mainhanditem run function lvlmc:assets/level/visuals
execute as @a at @s unless score @s lvlmc.lastmainhandcount = @s lvlmc.mainhandcount run function lvlmc:assets/level/visuals
execute as @a run function lvlmc:assets/level/give_advancements

## Vanilla
execute as @a[scores={lvlmc.interactedanvil=1..}] at @s run function lvlmc:assets/disable/anvil/main
execute as @a[scores={lvlmc.interactedbrewingstand=1..}] at @s run function lvlmc:assets/disable/brewing/main

execute as @a[nbt={Inventory:[{Slot:-106b, tag:{StoredEnchantments:[{}]}}]}] run function lvlmc:assets/disable/etable/replace_book with entity @s Inventory[-1].tag


scoreboard players set @e[type=villager, nbt={VillagerData:{profession:"minecraft:none"}}] lvlmc.temp 0
scoreboard players set @e[type=villager, nbt=!{VillagerData:{profession:"minecraft:none"}}] lvlmc.temp2 0
execute as @e[type=villager, nbt=!{VillagerData:{profession:"minecraft:none"}}] store result score @s lvlmc.temp2 run data get entity @s VillagerData.level
execute as @e[type=villager, scores={lvlmc.temp2=1}, nbt=!{VillagerData:{profession:"minecraft:none"}}, tag=!enchanter, tag=!ench] unless score @s lvlmc.temp = @s lvlmc.temp2 at @s positioned ~ ~-1000 ~ run function lvlmc:assets/trades/mark_sacrificeables {"num":"0"}
execute as @e[type=villager, scores={lvlmc.temp2=1}, nbt=!{VillagerData:{profession:"minecraft:none"}}, tag=!enchanter, tag=!ench] unless score @s lvlmc.temp = @s lvlmc.temp2 at @s positioned ~ ~-1000 ~ run function lvlmc:assets/trades/mark_sacrificeables {"num":"1"}
execute as @e[type=villager, scores={lvlmc.temp2=2}, nbt=!{VillagerData:{profession:"minecraft:none"}}, tag=!enchanter, tag=!ench] unless score @s lvlmc.temp = @s lvlmc.temp2 at @s positioned ~ ~-1000 ~ run function lvlmc:assets/trades/mark_sacrificeables {"num":"2"}
execute as @e[type=villager, scores={lvlmc.temp2=2}, nbt=!{VillagerData:{profession:"minecraft:none"}}, tag=!enchanter, tag=!ench] unless score @s lvlmc.temp = @s lvlmc.temp2 at @s positioned ~ ~-1000 ~ run function lvlmc:assets/trades/mark_sacrificeables {"num":"3"}
execute as @e[type=villager, scores={lvlmc.temp2=3}, nbt=!{VillagerData:{profession:"minecraft:none"}}, tag=!enchanter, tag=!ench] unless score @s lvlmc.temp = @s lvlmc.temp2 at @s positioned ~ ~-1000 ~ run function lvlmc:assets/trades/mark_sacrificeables {"num":"4"}
execute as @e[type=villager, scores={lvlmc.temp2=3}, nbt=!{VillagerData:{profession:"minecraft:none"}}, tag=!enchanter, tag=!ench] unless score @s lvlmc.temp = @s lvlmc.temp2 at @s positioned ~ ~-1000 ~ run function lvlmc:assets/trades/mark_sacrificeables {"num":"5"}
execute as @e[type=villager, scores={lvlmc.temp2=4}, nbt=!{VillagerData:{profession:"minecraft:none"}}, tag=!enchanter, tag=!ench] unless score @s lvlmc.temp = @s lvlmc.temp2 at @s positioned ~ ~-1000 ~ run function lvlmc:assets/trades/mark_sacrificeables {"num":"6"}
execute as @e[type=villager, scores={lvlmc.temp2=4}, nbt=!{VillagerData:{profession:"minecraft:none"}}, tag=!enchanter, tag=!ench] unless score @s lvlmc.temp = @s lvlmc.temp2 at @s positioned ~ ~-1000 ~ run function lvlmc:assets/trades/mark_sacrificeables {"num":"7"}
execute as @e[type=villager, scores={lvlmc.temp2=5}, nbt=!{VillagerData:{profession:"minecraft:none"}}, tag=!enchanter, tag=!ench] unless score @s lvlmc.temp = @s lvlmc.temp2 at @s positioned ~ ~-1000 ~ run function lvlmc:assets/trades/mark_sacrificeables {"num":"8"}
execute as @e[type=villager, scores={lvlmc.temp2=5}, nbt=!{VillagerData:{profession:"minecraft:none"}}, tag=!enchanter, tag=!ench] unless score @s lvlmc.temp = @s lvlmc.temp2 at @s positioned ~ ~-1000 ~ run function lvlmc:assets/trades/mark_sacrificeables {"num":"9"}
scoreboard players set @e[type=villager, nbt=!{VillagerData:{profession:"minecraft:none"}}] lvlmc.temp 0
execute as @e[type=villager, nbt=!{VillagerData:{profession:"minecraft:none"}}] store result score @s lvlmc.temp run data get entity @s VillagerData.level

execute as @e[type=villager] run ride @s dismount



# Villager Quests
## Check
execute as @a[scores={lvlmc.checkquest=1}] run function lvlmc:quest/quest_check

## Dialogue
execute as @a[scores={lvlmc.dialoguedelay=0, lvlmc.dialogueid=1..}] at @s run function lvlmc:quest/dialogue
execute as @a if score @s lvlmc.dialogueid matches 1.. run scoreboard players remove @s lvlmc.dialoguedelay 1

## Track Quest
advancement revoke @a only lvlmc:quest/villager/expired
execute as @a[scores={lvlmc.questactive=1}] run function lvlmc:quest/track_active_quest

# Rewards
## Sleeping Boost
execute as @a[advancements={lvlmc:quest/villager/shepherd/completed1=true}, nbt={SleepTimer:0s}, scores={lvlmc.slept=2..}] store result score @s lvlmc.temp run time query day
execute as @a[advancements={lvlmc:quest/villager/shepherd/completed1=true}, nbt={SleepTimer:0s}, scores={lvlmc.slept=2..}] unless score @s lvlmc.temp = @s lvlmc.dayenteredbed run effect give @s health_boost 360 1 false
execute as @a[nbt={SleepTimer:0s}, scores={lvlmc.slept=2..}] run scoreboard players set @s lvlmc.slept 0
execute as @a[scores={lvlmc.slept=1}] store result score @s lvlmc.dayenteredbed run time query day
execute as @a[scores={lvlmc.slept=1}] run scoreboard players set @s lvlmc.slept 2

## Armorers Potion
execute as @a[scores={lvlmc.potionsconsumed=1..}, advancements={lvlmc:detection/drinking_armor1=true}] run scoreboard players set @s lvlmc.deservesarmor 1
execute as @a[scores={lvlmc.potionsconsumed=1..}, advancements={lvlmc:detection/drinking_armor1=true}] run effect give @s nausea 15 2 true
execute as @a[scores={lvlmc.potionsconsumed=1..}, advancements={lvlmc:detection/drinking_armor1=true}] run schedule function lvlmc:assets/delayed/give_armor_advancements 15s
execute as @a[scores={lvlmc.potionsconsumed=1..}, advancements={lvlmc:detection/drinking_armor2=true}] run scoreboard players set @s lvlmc.deservesarmor 2
execute as @a[scores={lvlmc.potionsconsumed=1..}, advancements={lvlmc:detection/drinking_armor2=true}] run advancement grant @a[scores={lvlmc.deservesarmor=2}] only lvlmc:main/armor/diamond
execute as @a[scores={lvlmc.potionsconsumed=1..}, advancements={lvlmc:detection/drinking_armor2=true}] run schedule function lvlmc:assets/delayed/give_armor_advancements 2s

advancement revoke @a[nbt=!{SelectedItem:{tag:{item_id:armor_potion1}}}] only lvlmc:detection/drinking_armor1
advancement revoke @a[nbt=!{SelectedItem:{tag:{item_id:armor_potion2}}}] only lvlmc:detection/drinking_armor2
scoreboard players set @a lvlmc.potionsconsumed 0


# Custom villagers
## Enchanting Smith
execute as @e[tag=ench] at @s if data entity @s Offers.Recipes[7] run execute as @p run function lvlmc:assets/trades/generate_enchsmith
clear @a paper{clear:1}

## Repair Smith
execute as @e[tag=repair] at @s if entity @a[distance=..5] unless score @s lvlmc.storedslot matches ..-1 run scoreboard players operation @s lvlmc.temp = @s lvlmc.storedslot
execute as @e[tag=repair] at @s if entity @a[distance=..5] unless score @s lvlmc.storedslot matches ..-1 run scoreboard players set @s lvlmc.storedslot 0
execute as @e[tag=repair] at @s if entity @a[distance=..5] unless score @s lvlmc.storedslot matches ..-1 at @s store result score @s lvlmc.storedslot run data get entity @a[sort=nearest, limit=1] SelectedItemSlot
execute as @e[tag=repair] at @s if entity @a[distance=..5] unless score @s lvlmc.temp = @s lvlmc.storedslot run execute unless data entity @a[sort=nearest, limit=1] SelectedItem run data modify entity @s Offers.Recipes set value []
execute as @e[tag=repair] at @s if entity @a[distance=..5] unless score @s lvlmc.temp = @s lvlmc.storedslot if data entity @a[sort=nearest, limit=1] SelectedItem run function lvlmc:assets/trades/generate_repairsmith

execute as @e[tag=repair] store success score @s lvlmc.temp run clear @a[sort=nearest, limit=1] paper{repair:1}
execute as @e[tag=repair, scores={lvlmc.storedslot=-1}] run scoreboard players set @s lvlmc.temp 0
execute as @e[tag=repair, scores={lvlmc.temp=1}] at @s run function lvlmc:assets/trades/check_item with entity @s Offers.Recipes[0].buy
execute at @e[tag=repair, scores={lvlmc.temp=1}] as @a[limit=1, sort=nearest] run item modify entity @s weapon lvlmc:fully_repair
execute as @e[tag=repair, scores={lvlmc.storedslot=-1}] at @s store result score @s lvlmc.storedslot run data get entity @a[sort=nearest, limit=1] SelectedItemSlot


execute as @e[tag=ench] run kill @s[nbt=!{VillagerData:{profession:"minecraft:toolsmith"}}]
execute as @e[tag=quests] run kill @s[nbt=!{VillagerData:{profession:"minecraft:cartographer"}}]



# Custom Item Effects
## Trident Melee Thunder
execute as @e[tag=hittrident] run tag @s remove hittrident
execute as @e[type=!player, nbt={HurtTime:10s}] at @s on attacker if entity @s[nbt={SelectedItem:{tag:{Enchantments:[{id:"minecraft:channeling"}]}}}, predicate=lvlmc:meleethunder, scores={lvlmc.usedtrident=1}] at @s run tag @e[type=!player, sort=nearest, limit=1] add hittrident

execute as @e[tag=hittrident] at @s run summon lightning_bolt ~ ~-2 ~ {Tags:["killlbolt"]}
execute as @e[tag=hittrident] run schedule function lvlmc:assets/delayed/kill_bolt 10t
execute at @e[tag=hittrident] run playsound item.trident.thunder player @a ~ ~ ~

scoreboard players set @a[scores={lvlmc.usedtrident=1}] lvlmc.usedtrident 0


## Timber Axe
scoreboard players set @s lvlmc.raycount 0
execute as @a[predicate=!lvlmc:is_crouching, nbt={SelectedItem:{id:"minecraft:netherite_axe", tag:{item_id:"lvlmc:titan_axe"}}}, scores={lvlmc.usednetheriteaxe=1..}] at @s run execute at @e[type=marker, tag=timber, sort=nearest, limit=1] run function lvlmc:assets/toolpower/timber

## 3x3 Pickaxe
execute as @a[nbt={SelectedItem:{id:"minecraft:netherite_pickaxe", tag:{item_id:"lvlmc:titan_pickaxe"}}}, scores={lvlmc.usednetheritepickaxe=1..}] at @s run execute at @e[type=marker, tag=3x3pick, distance=..6] run function lvlmc:assets/toolpower/pickaxe

## 3x3 Hoe
execute as @a run scoreboard players operation @s lvlmc.minedcrops = @s lvlmc.minedbeetroot
execute as @a run scoreboard players operation @s lvlmc.minedcrops += @s lvlmc.minedpotato
execute as @a run scoreboard players operation @s lvlmc.minedcrops += @s lvlmc.minedcarrot
execute as @a run scoreboard players operation @s lvlmc.minedcrops += @s lvlmc.minedwheat
execute as @a[nbt={SelectedItem:{id:"minecraft:netherite_hoe", tag:{item_id:"lvlmc:titan_hoe"}}}, scores={lvlmc.usednetheritehoe=1.., lvlmc.minedcrops=..1}] at @s run execute at @e[type=marker, tag=3x3hoet, distance=..6] run function lvlmc:assets/toolpower/hoetilt
execute as @a[nbt={SelectedItem:{id:"minecraft:netherite_hoe", tag:{item_id:"lvlmc:titan_hoe"}}}, scores={lvlmc.minedcrops=1..}] at @s run execute at @e[type=marker, tag=3x3hoeh, distance=..6] run function lvlmc:assets/toolpower/hoeharvest

## Do Raycast
kill @e[type=marker, tag=selected_block]
scoreboard players set @a lvlmc.raycount 0
execute as @a[predicate=!lvlmc:is_crouching, nbt={SelectedItem:{id:"minecraft:netherite_axe", tag:{item_id:"lvlmc:titan_axe"}}}] at @s anchored eyes run function lvlmc:assets/toolpower/raycast
execute as @a[predicate=!lvlmc:is_crouching, nbt={SelectedItem:{id:"minecraft:netherite_hoe", tag:{item_id:"lvlmc:titan_hoe"}}}] at @s unless block ~ ~ ~ minecraft:farmland anchored eyes run function lvlmc:assets/toolpower/raycast
execute as @a[predicate=!lvlmc:is_crouching, nbt={SelectedItem:{id:"minecraft:netherite_hoe", tag:{item_id:"lvlmc:titan_hoe"}}}] at @s if block ~ ~ ~ minecraft:farmland positioned ~ ~0.1 ~ anchored eyes run function lvlmc:assets/toolpower/raycast
execute as @a[predicate=!lvlmc:is_crouching, nbt={SelectedItem:{id:"minecraft:netherite_pickaxe", tag:{item_id:"lvlmc:titan_pickaxe"}}}] at @s anchored eyes run function lvlmc:assets/toolpower/raycast
execute as @a[nbt={SelectedItem:{tag:{item_id:"lvlmc:blockswapper"}}}] at @s anchored eyes run function lvlmc:assets/toolpower/raycast
execute as @e[type=marker, tag=selected_block] at @s if predicate lvlmc:block_timber run tag @s add timber
execute as @e[type=marker, tag=selected_block] at @s if block ~ ~ ~ #base_stone_overworld run tag @s add 3x3pick
execute as @e[type=marker, tag=selected_block] at @s if block ~ ~ ~ #crops run tag @s add 3x3hoeh
execute as @e[type=marker, tag=selected_block] at @s if block ~ ~ ~ #dirt run tag @s add 3x3hoet
execute as @e[type=marker, tag=selected_block] at @s if block ~ ~ ~ #swapables run tag @s add blockswap
scoreboard players remove @a[scores={lvlmc.usednetheritehoe=1..}] lvlmc.usednetheritehoe 1
scoreboard players remove @a[scores={lvlmc.usednetheriteaxe=1..}] lvlmc.usednetheriteaxe 1
scoreboard players remove @a[scores={lvlmc.usednetheritepickaxe=1..}] lvlmc.usednetheritepickaxe 1
execute as @a unless entity @s[scores={lvlmc.usingswapper=0}] run scoreboard players remove @s lvlmc.usingswapper 1



# Rare Item Drops
execute as @a[scores={lvlmc.minedmelon=1..}] at @s unless entity @e[type=item, nbt={Item:{tag:{fresh:1}}}] run scoreboard players set @s lvlmc.minedmelon 0
execute as @a[scores={lvlmc.minedmelon=1..}] run tellraw @s [{"translate":"lvlmc.raredrop", "color": "light_purple"}, {"translate":"lvlmc.item.melon_harvester", "color": "white"}, {"text": " 0.1%", "color": "aqua"}]
execute as @a[scores={lvlmc.minedmelon=1..}] at @s run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 100 2
execute as @a[scores={lvlmc.minedmelon=1..}] at @s run playsound minecraft:lvlmc.level_up master @s ~ ~ ~ 100 2
execute as @a[scores={lvlmc.minedmelon=1..}] run data modify entity @e[type=item, sort=nearest, limit=1, nbt={Item:{tag:{fresh:1}}}] Item.tag set value {item_id:"lvlmc:melon_harvester", CustomModelData:854002,display:{Name:'[{"translate":"lvlmc.item.melon_harvester","italic":false}]'}}

# Reset Crops mined
scoreboard players remove @a[scores={lvlmc.minedbeetroot=1..}] lvlmc.minedbeetroot 1
scoreboard players remove @a[scores={lvlmc.minedpotato=1..}] lvlmc.minedpotato 1
scoreboard players remove @a[scores={lvlmc.minedcarrot=1..}] lvlmc.minedcarrot 1
scoreboard players remove @a[scores={lvlmc.minedwheat=1..}] lvlmc.minedwheat 1

scoreboard players set @a lvlmc.minedmelon 0


# LAST
execute as @a run scoreboard players operation @s lvlmc.lastmainhanditem = @s lvlmc.mainhanditem
execute as @a run scoreboard players operation @s lvlmc.lastmainhandcount = @s lvlmc.mainhandcount
scoreboard players set @a lvlmc.dead 0

kill @e[type=experience_orb]


# Give yourself custom items

# give @a minecraft:diamond_axe{CustomModelData:854002, item_id:"lvlmc:melon_harvester", display:{Name:'{"translate":"lvlmc.item.melon_harvester", "italic":false}'}}
# give @a minecraft:netherite_axe{CustomModelData:854002, item_id:"lvlmc:titan_axe", display:{Name:'{"translate":"lvlmc.item.titan_axe", "italic":false}'}}
# give @a minecraft:netherite_pickaxe{CustomModelData:854002, item_id:"lvlmc:titan_pickaxe", display:{Name:'{"translate":"lvlmc.item.titan_pickaxe", "italic":false}'}}
# give @a minecraft:netherite_hoe{CustomModelData:854002, item_id:"lvlmc:titan_hoe", display:{Name:'{"translate":"lvlmc.item.titan_hoe", "italic":false}'}}
# give @a minecraft:bundle{CustomModelData:854001, item_id:"lvlmc:autosacrificer", display:{Name:'{"translate":"lvlmc.item.autosacrificer", "italic":false}', Lore:['{"translate":"lvlmc.item.autosacrificer.tooltip1"}', '{"translate":"lvlmc.item.autosacrificer.tooltip2"}']}}